<?php

namespace Drupal\mbp\Layout;

use Drupal\Component\Utility\Html;
use Drupal\Core\Layout\LayoutDefault;

/**
 * Bootstrap Tabs Layout Class.
 */
class BootstrapTabs extends LayoutDefault {

  /**
   * {@inheritdoc}
   */
  public function build(array $regions) {
    $build = parent::build($regions);
    $build['#settings']['id'] = $regions['content']['#attributes']['id'] ?? HTML::getUniqueId(__CLASS__);
    return $build;
  }

}
